import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { Button, Text } from '@primer/react';
import { useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Output } from '../components/output/Output';
import { useOutputsStore } from '../components/output/OutputState';
import { Jupyter } from '../jupyter/Jupyter';
import { useJupyter } from '../jupyter/JupyterContext';
const SOURCE_ID = 'output-id-2';
const SOURCE = 'fail';
const OutputWithEditor = () => {
    const { defaultKernel } = useJupyter();
    const outputStore = useOutputsStore();
    const [execTrigger, setExecTrigger] = useState(0);
    console.log('Outputs', outputStore.getModel(SOURCE_ID)?.toJSON(), outputStore.getInput(SOURCE_ID));
    const handleExecutionError = (err) => {
        alert('Execution error - ' + err);
    };
    return (_jsxs(_Fragment, { children: [_jsx(Text, { as: "h1", children: "Output with Error Handling" }), _jsx(Button, { onClick: () => setExecTrigger(execTrigger => execTrigger + 1), children: "Execute 'fail' code" }), _jsx(Output, { autoRun: false, code: SOURCE, id: SOURCE_ID, kernel: defaultKernel, showEditor: false, executeTrigger: execTrigger, onCodeExecutionError: handleExecutionError })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, { children: _jsx(OutputWithEditor, {}) }));
//# sourceMappingURL=OutputWithErrorHandle.js.map